#pragma once

#include <filesystem>
#include <string>

namespace lm {

class FileUtil
{
public:
  static std::string readBinary(const std::filesystem::path& path);
  static bool writeBinaryAtomic(const std::filesystem::path& path, const std::string& contents);
};

}  // namespace lm
